using System.ComponentModel.DataAnnotations;

namespace Fast.Models
{
    public class TransferMeterListItem
    {
        [Key] //need to set primary key for OData
        public int TransferMeterId { get; set; }

        [Display(Name = "Pipe 1")] public string Pipe1Name { get; set; } = "";
        [Display(Name = "Zone1")] public string Zone1Name { get; set; } = "";
        [Display(Name = "Meter 1")] public string Meter1Name { get; set; } = "";
        [Display(Name = "Pipe 2")] public string Pipe2Name { get; set; } = "";
        [Display(Name = "Zone2")] public string Zone2Name { get; set; } = "";
        [Display(Name = "Meter 2")] public string Meter2Name { get; set; } = "";
        [Display(Name = "Product")] public string Product { get; set; } = "";
    }
}
